Package ru.bitel.bgbilling.kernel.event

# Class ExecutorEventWorker.ContractExecutorEventWorker

java.lang.Object
ru.bitel.bgbilling.kernel.event.ExecutorEventWorker.ContractExecutorEventWorker

All Implemented Interfaces:
  `ru.bitel.bgbilling.kernel.application.server.Lifecycle`

Enclosing class:
  `ExecutorEventWorker`

public static class ExecutorEventWorker.ContractExecutorEventWorker extends Object implements ru.bitel.bgbilling.kernel.application.server.Lifecycle

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final List<AbstractExecutorEventWorker>`
  `eventWorkers`
  `protected final ExecutorService[]`
  `executors`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractExecutorEventWorker(EventProcessor ep, String name, int threadCount, int queueSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onMessage(javax.jms.Message message, ru.bitel.bgbilling.kernel.event.AbstractConsumer consumer)`
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### executors

    protected final ExecutorService[] executors

  - ### eventWorkers

    protected final List<AbstractExecutorEventWorker> eventWorkers

- ## Constructor Details

  - ### ContractExecutorEventWorker

    public ContractExecutorEventWorker(EventProcessor ep, String name, int threadCount, int queueSize)

- ## Method Details

  - ### onMessage

    public void onMessage(javax.jms.Message message, ru.bitel.bgbilling.kernel.event.AbstractConsumer consumer)

  - ### start

    public void start() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `start` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### stop

    public void stop() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `stop` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
    Throws:
      `ru.bitel.bgbilling.common.BGException`